# vim: set sw=4 ts=4 et nu:

Name:           perl-Spawn-Safe
Version:        2.001
Release:        1.1
Summary:        Fork and exec a process "safely"
Source:         http://search.cpan.org/CPAN/authors/id/J/JE/JEAGLE/Spawn-Safe-%{version}.tar.gz
URL:            http://search.cpan.org/dist/Spawn-Safe
Group:          Development/Libraries/Perl
License:        GNU General Public License version 2 or later or Artistic (GPLv2+ or Artistic)
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
%{perl_requires}
BuildRequires:  perl-macros
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%endif

%description
Spawn::Safe is a module designed to make "safe" calls to outside binaries
easier and more reliable. Spawn::Safe never invokes a shell (unless the shell
is explicitly requested), so escaping for the shell is not a concern. An
optional timeout is made available, so scripts will not hang forever, and the
caller is able to retrieve both stdout and stderr.

%prep
%setup -q -n "Spawn-Safe"
%__sed -i '/^auto_install/d' Makefile.PL

%build
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make %{?_smp_flags}

%install
%perl_make_install
%perl_process_packlist

%check
%__make test

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc README
%dir %{perl_vendorlib}/Spawn
%{perl_vendorlib}/Spawn/Safe.pm
%doc %{perl_man3dir}/Spawn::Safe.%{perl_man3ext}%{ext_man}

%changelog
* Tue Jun 14 2011 pascal.bleser@opensuse.org
- update to 2.001
* Tue May 17 2011 pascal.bleser@opensuse.org
- update to 2.000
* Thu May 12 2011 pascal.bleser@opensuse.org
- update to 1.10
* Wed May 11 2011 pascal.bleser@opensuse.org
- update to 1.9
* Wed May 11 2011 pascal.bleser@opensuse.org
- initial version (1.8)
